com.holonplatform.auth.jwt

## Interface JwtAuthenticator

- All Superinterfaces:
    Authenticator<BearerAuthenticationToken>
  All Known Implementing Classes:
    DefaultJwtAuthenticator

      public interface JwtAuthenticator
      extends Authenticator<BearerAuthenticationToken>

  An `Authenticator` able to authenticate `BearerAuthenticationToken` tokens, expecting a JWT token as bearer token and using a `JwtConfiguration` to perform authentication.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JwtAuthenticator.Builder` Builder to create `JwtAuthenticator` instances

    - ### Nested classes/interfaces inherited from interface com.holonplatform.auth.Authenticator

      `Authenticator.MessageAuthenticator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JwtAuthenticator.Builder` | `builder()` Builder to create a JwtAuthenticator.
    `JwtConfiguration` | `getConfiguration()` Get the `JwtConfiguration` to use to validate and authenticate the JWT tokens
    `Collection<String>` | `getIssuers()` Get the allowed JWT issuers
    `Collection<String>` | `getRequiredClaims()` Get optional required JWT claims

    - ### Methods inherited from interface com.holonplatform.auth.Authenticator

      `authenticate, create, getTokenType`

- - ### Method Detail

    - #### getConfiguration

          JwtConfiguration getConfiguration()

      Get the `JwtConfiguration` to use to validate and authenticate the JWT tokens
      Returns:
        JwtConfiguration

    - #### getIssuers

          Collection<String> getIssuers()

      Get the allowed JWT issuers
      Returns:
        Allowed JWT issuers, an empty list if any issuer is allowed

    - #### getRequiredClaims

          Collection<String> getRequiredClaims()

      Get optional required JWT claims
      Returns:
        Required JWT claims, empty if none

    - #### builder

          static JwtAuthenticator.Builder builder()

      Builder to create a JwtAuthenticator.
      Returns:
        JwtAuthenticator builder

Copyright © 2019 The Holon Platform. All rights reserved.